Status: Closed Spent time: 0.00 hour
Priority: Normal
Category:
Target version: 1.0.0
Severity: Minor
Description

Pasar a usar JNA en lugar de JNI para acceso a las nativas de jcrs (libproj4).
Esto nos permitiria dejar de depender de la compilacion de nativas en jcrs permitiendonos disponer de jcrs en todas las plataformas
para las que existan binarios de proj4 sin tener que recompilarlos (win64 o MAC por ejemplo).

History
#1 - 01/31/2015 08:20 AM - Joaquín  del Cerro Murciano
- Target version set to 1.0.0

#2 - 07/16/2015 05:39 PM - Joaquín  del Cerro Murciano

Se han hecho prueba para hacerlo y jna a demostrado ser demasiado lento para el uso que se esta haciendo de las llamadas a nativas.
Puede resultar util para invocar a nativas de forma esporadica, pero no de forma intensiba ya que cada vez que se invoca a una nativa hace el
marshalling de los parametros perdiendo muchisimo tiempo en ello.

#3 - 07/16/2015 05:41 PM - Joaquín  del Cerro Murciano

Despues de descartar el uso de jna se ha probado a usar los bindings oficiales de GDAL para java para acceder a la parte de OGR que gestiona el
manejo de CRSs.
Las pruebas parece que han resultado satisfactorias.

#4 - 12/21/2015 12:32 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Al final, y despues de descartar definitivamente el uso de jna por no ser eficiente, estamos usando OGR para el manejo de los sistemas de
referencia.
No esta muy limpio ni optimo pero funciona.
Habria que darle un repaso completo a la extension de jcrs.

#5 - 12/21/2015 12:38 PM - Álvaro Anguix
- Status changed from Fixed to Closed
